SET_PFNBLOCK_FLAGS_M(9)

NAME
set_pfnblock_flags_mask - Set the requested group of flags for a pageblock_nr_pages block of pages

SYNOPSIS

void set_pfnblock_flags_mask(struct page * page, unsigned long flags, unsigned long pfn, unsigned long end_bitidx, unsigned long mask);

ARGUMENTS

page
    The page within the block of interest

flags
    The flags to set

pfn
    The target page frame number

end_bitidx
    The last bit of interest

mask
    mask of bits that the caller is interested in

COPYRIGHT